#include <iostream>
#include <string>
#include <vector>
#include <cassert>
#include <cstdio>

using namespace std;

int main()
{
    freopen("fibstring.in", "r", stdin);
    freopen("fibstring.out", "w", stdout);
    int n;
    cin >> n;
    assert(0 <= n && n <= 80);
    
    long long t = 1, s = 1, tmp;
    
    for (int i = 2; i <= n; i++)
    {
        tmp = s;
        s += t;
        t = tmp;
    }
    cout << s - 2 << '\n';
}